package server

import (
	cwf "git.loafle.net/commons_go/websocket_fasthttp"
	"git.loafle.net/overflow/overflow_gateway_websocket/rpc"
	"git.loafle.net/overflow/overflow_gateway_websocket/servlet"
	oos "git.loafle.net/overflow/overflow_subscriber"
)

type ServerHandler interface {
	cwf.ServerHandler

	RegisterServlet(entryPath string, servletHandler servlet.ServletHandler)
	RegisterRPCGatewayServlet(entryPath string, rpcGatewayHandler rpc.RPCGatewayHandler) servlet.ServletHandler
	RegisterSubscriber(subscriberHandler oos.SubscriberHandler)
}
